using System;
using System.Threading.Tasks;

internal sealed class Delegate25 : MulticastDelegate
{
	public extern Task Invoke(int int_0);

	public static Task smethod_0(int int_0, Delegate25 delegate25_1)
	{
		return delegate25_1(int_0);
	}

	public extern Delegate25(object object_0, IntPtr intptr_0);

	static Delegate25()
	{
		Class10.smethod_13(typeof(Delegate25).TypeHandle);
	}

	internal static Delegate25 delegate25_0;
}
